function initApp(evt) {
    initLayers();    
}

function initLayers() {
    
    var inputs = document.querySelectorAll(".layer-selector");
    
    for (var i = 0; i < inputs.length; i++) {
        var input = inputs[i];
        
        input.checked = true;
        input.addEventListener("click", toggleLayer);
    }
    
}

function toggleLayer(evt) {
    var input = evt.currentTarget;
    
    var layerID = input.id.substring(6);
    
    var layer = document.getElementById(layerID);
    
    if (input.checked) {
        layer.setAttribute("class", "");
    }
    
    else {
        layer.setAttribute("class", "hidden");
    }
}


window.addEventListener("load", initApp);